Bug 242091 - japanese/ebnetd: Fix build on real environment
Summary: japanese/ebnetd: Fix build on real environment
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Koichiro Iwao
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-19 23:50 UTC by Yasuhiro KIMURA
Modified: 2020-01-29 02:53 UTC (History)
2 users (show)

See Also:


Attachments
Patch file (892 bytes, patch)
2019-11-19 23:50 UTC, Yasuhiro KIMURA
yasu: maintainer-approval+
Details | Diff
Updated patch file (2.71 KB, patch)
2019-12-01 18:15 UTC, Yasuhiro KIMURA
yasu: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2019-11-19 23:50:38 UTC
Created attachment 209262 [details]
Patch file

* Fix build on real environment by changing character set of doc-ja/ebnetd-ja.texi from EUC-JP to UTF-8.
* Bump PORTREVISION because content of info file is changed.
Comment 1 Kurt Jaeger freebsd_committer 2019-11-30 18:05:40 UTC
A build in poudriere fails with this:

=>> Checking for extra files and directories
=>> Error: Files or directories left over:
/etc/services.bak
=>> Error: Files or directories modified:
/etc/services size (86630, 86661)

Any idea where this comes from ?
Comment 2 Jan Beich freebsd_committer 2019-12-01 11:29:51 UTC
(In reply to Kurt Jaeger from comment #1)
> Any idea where this comes from ?

From japanese/ebnetd/pkg-install
Comment 3 Yasuhiro KIMURA 2019-12-01 13:15:54 UTC
(In reply to Jan Beich from comment #2)

Yes, pkg-install adds some entries of port number to /etc/services. They are used to connect daemon programs installed by this port but should not be added while package building. So I'll modify the logic of pkg-install.
Comment 4 Yasuhiro KIMURA 2019-12-01 18:15:13 UTC
Created attachment 209576 [details]
Updated patch file

Change pkg-install so it doesn't modify /etc/services while building package. So please commit attached patch instead of original one.
Comment 5 Yasuhiro KIMURA 2019-12-18 02:16:42 UTC
Hello Kurt,

Would you please commit this bug report? With updated patch build with poudriere should succeed.

Best Regards.
Comment 6 commit-hook freebsd_committer 2020-01-29 02:52:59 UTC
A commit references this bug:

Author: meta
Date: Wed Jan 29 02:52:00 UTC 2020
New revision: 524528
URL: https://svnweb.freebsd.org/changeset/ports/524528

Log:
  japanese/ebnetd: Fix build on real environment

  by changing character set of doc-ja/ebnetd-ja.texi from EUC-JP to UTF-8.

  - Change pkg-install so it doesn't modify /etc/services while building package
  - Bump PORTREVISION by package change

  PR:		242091
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org> (maintainer)

Changes:
  head/japanese/ebnetd/Makefile
  head/japanese/ebnetd/pkg-install
Comment 7 Koichiro Iwao freebsd_committer 2020-01-29 02:53:18 UTC
Committed, thanks!